wxFileSystemWatcherEvent Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxFileSystemWatcherEvent Class Reference
Class List by Category » Events

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/fswatcher.h>`

Inheritance diagram for wxFileSystemWatcherEvent:
[legend]

## Detailed Description

A class of events sent when a file system event occurs.

Types of events reported may vary depending on a platform, however all platforms report at least creation of new file/directory and access, modification, move (rename) or deletion of an existing one.

##

Library: wxBase
Category: Events

See also
  wxFileSystemWatcher
  Events and Event Handling

Since
  2.9.1

## Public Member Functions
| wxFileSystemWatcherEvent (int changeType=0, int watchid=wxID_ANY)
| wxFileSystemWatcherEvent (int changeType, wxFSWWarningType warningType, const wxString &errorMsg, int watchid=wxID_ANY)
| wxFileSystemWatcherEvent (int changeType, const wxFileName &path, const wxFileName &newPath, int watchid=wxID_ANY)
const wxFileName & | GetPath () const
| Returns the path at which the event occurred.
const wxFileName & | GetNewPath () const
| Returns the new path of the renamed file/directory if this is a rename event.
int | GetChangeType () const
| Returns the type of file system change that occurred.
bool | IsError () const
| Returns `true` if this error is an error event.
wxString | GetErrorDescription () const
| Return a description of the warning or error if this is an error event.
wxFSWWarningType | GetWarningType () const
| Return the type of the warning if this event is a warning one.
wxString | ToString () const
| Returns a wxString describing an event, useful for logging, debugging or testing.
Public Member Functions inherited from wxEvent
| wxEvent (int id=0, wxEventType eventType=wxEVT_NULL)
| Constructor.
virtual wxEvent * | Clone () const =0
| Returns a copy of the event.
wxObject * | GetEventObject () const
| Returns the object (usually a window) associated with the event, if any.
wxEventType | GetEventType () const
| Returns the identifier of the given event type, such as `wxEVT_BUTTON`.
virtual wxEventCategory | GetEventCategory () const
| Returns a generic category for this event.
int | GetId () const
| Returns the identifier associated with this event, such as a button command id.
wxObject * | GetEventUserData () const
| Return the user data associated with a dynamically connected event handler.
bool | GetSkipped () const
| Returns true if the event handler should be skipped, false otherwise.
long | GetTimestamp () const
| Gets the timestamp for the event.
bool | IsCommandEvent () const
| Returns true if the event is or is derived from wxCommandEvent else it returns false.
void | ResumePropagation (int propagationLevel)
| Sets the propagation level to the given value (for example returned from an earlier call to wxEvent::StopPropagation).
void | SetEventObject (wxObject *object)
| Sets the originating object.
void | SetEventType (wxEventType type)
| Sets the event type.
void | SetId (int id)
| Sets the identifier associated with this event, such as a button command id.
void | SetTimestamp (long timeStamp=0)
| Sets the timestamp for the event.
bool | ShouldPropagate () const
| Test if this event should be propagated or not, i.e. if the propagation level is currently greater than 0.
void | Skip (bool skip=true)
| This method can be used inside an event handler to control whether further event handlers bound to this event will be called after the current one returns.
int | StopPropagation ()
| Stop the event from propagating to its parent window.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxEvent
int | m_propagationLevel
| Indicates how many levels the event can propagate.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

## ◆ wxFileSystemWatcherEvent() [1/3]

wxFileSystemWatcherEvent::wxFileSystemWatcherEvent | ( | int | changeType = 0,
|  | int | watchid = wxID_ANY )

## ◆ wxFileSystemWatcherEvent() [2/3]

wxFileSystemWatcherEvent::wxFileSystemWatcherEvent | ( | int | changeType,
|  | wxFSWWarningType | warningType,
|  | const wxString & | errorMsg,
|  | int | watchid = wxID_ANY )

## ◆ wxFileSystemWatcherEvent() [3/3]

wxFileSystemWatcherEvent::wxFileSystemWatcherEvent | ( | int | changeType,
|  | const wxFileName & | path,
|  | const wxFileName & | newPath,
|  | int | watchid = wxID_ANY )

## Member Function Documentation

## ◆ GetChangeType()

int wxFileSystemWatcherEvent::GetChangeType | ( |  | ) | const

Returns the type of file system change that occurred.

See wxFSWFlags for the list of possible file system change types.

## ◆ GetErrorDescription()

wxString wxFileSystemWatcherEvent::GetErrorDescription | ( |  | ) | const

Return a description of the warning or error if this is an error event.

This string may be empty if the exact reason for the error or the warning is not known.

## ◆ GetNewPath()

const wxFileName & wxFileSystemWatcherEvent::GetNewPath | ( |  | ) | const

Returns the new path of the renamed file/directory if this is a rename event.

Otherwise it returns the same path as GetPath().

## ◆ GetPath()

const wxFileName & wxFileSystemWatcherEvent::GetPath | ( |  | ) | const

Returns the path at which the event occurred.

## ◆ GetWarningType()

wxFSWWarningType wxFileSystemWatcherEvent::GetWarningType | ( |  | ) | const

Return the type of the warning if this event is a warning one.

If this is not a warning event, i.e. if GetChangeType() doesn't include wxFSW_EVENT_WARNING, returns wxFSW_WARNING_NONE.

Since
  3.0

## ◆ IsError()

bool wxFileSystemWatcherEvent::IsError | ( |  | ) | const

Returns `true` if this error is an error event.

Error event is an event generated when a warning or error condition arises.

## ◆ ToString()

wxString wxFileSystemWatcherEvent::ToString | ( |  | ) | const

Returns a wxString describing an event, useful for logging, debugging or testing.